<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="organ_signat_05_signat"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Landscape"
		 pageWidth="842"
		 pageHeight="595"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="2"
		 bottomMargin="2"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.scriptlethandling" value="0" />
	<property name="ireport.encoding" value="UTF-8" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />

	<parameter name="ORGID" isForPrompting="false" class="java.lang.Integer"/>
	<parameter name="EXE_EXERCICE" isForPrompting="false" class="java.lang.Integer">
		<defaultValueExpression ><![CDATA[new Integer(2008)]]></defaultValueExpression>
	</parameter>
	<queryString><![CDATA[SELECT org_id,os.ORSI_ID, OST_ID,i.pers_id,nom_usuel,prenom,tcd_code, tcd_abrege,ost_max_montant_ttc,tysi_libelle, ORSI_DATE_OUVERTURE, ORSI_DATE_CLOTURE
FROM jefy_admin.organ_signataire os,jefy_admin.v_individu_ulr i,
jefy_admin.type_signature ts,
(select * from jefy_admin.organ_signataire_tc otc, jefy_admin.type_credit tc where otc.tcd_ordre=tc.tcd_ordre and tc.exe_ordre=$P{EXE_EXERCICE}) x
where 	  
	(ORSI_DATE_OUVERTURE is null or ORSI_DATE_OUVERTURE <= to_date( '31/12/'||$P{EXE_EXERCICE}, 'dd/mm/yyyy')) AND
	(ORSI_DATE_CLOTURE is null or ORSI_DATE_CLOTURE >= to_date('01/01/'||$P{EXE_EXERCICE},'dd/mm/yyyy')  ) and
	org_id = $P{ORGID} and	  	  
	  os.no_individu = i.NO_INDIVIDU and
      	  os.tysi_id = ts.tysi_id and
	  os.orsi_id = x.orsi_id (+)  
order by os.tysi_id, nom_usuel,prenom, tcd_code nulls first]]></queryString>

	<field name="ORG_ID" class="java.math.BigDecimal"/>
	<field name="ORSI_ID" class="java.math.BigDecimal"/>
	<field name="OST_ID" class="java.math.BigDecimal"/>
	<field name="NOM_USUEL" class="java.lang.String"/>
	<field name="PRENOM" class="java.lang.String"/>
	<field name="TCD_CODE" class="java.lang.String"/>
	<field name="TCD_ABREGE" class="java.lang.String"/>
	<field name="OST_MAX_MONTANT_TTC" class="java.math.BigDecimal"/>
	<field name="TYSI_LIBELLE" class="java.lang.String"/>
	<field name="ORSI_DATE_OUVERTURE" class="java.sql.Timestamp"/>
	<field name="ORSI_DATE_CLOTURE" class="java.sql.Timestamp"/>
	<field name="PERS_ID" class="java.lang.Integer"/>


		<group  name="org_id" >
			<groupExpression><![CDATA[$F{ORG_ID}]]></groupExpression>
			<groupHeader>
			<band height="17"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						x="0"
						y="2"
						width="656"
						height="15"
						forecolor="#CCCCCC"
						key="staticText-2"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" leftPadding="4" rightBorder="None" rightBorderColor="#000000" rightPadding="4" bottomBorder="Thin" bottomBorderColor="#CCCCCC"/>
					<textElement>
						<font/>
					</textElement>
				<text><![CDATA[Signataire(s)]]></text>
				</staticText>
			</band>
			</groupHeader>
			<groupFooter>
			<band height="10"  isSplitAllowed="true" >
			</band>
			</groupFooter>
		</group>
		<group  name="pers_id" >
			<groupExpression><![CDATA[$F{PERS_ID}]]></groupExpression>
			<groupHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
			</groupHeader>
			<groupFooter>
			<band height="2"  isSplitAllowed="true" >
				<line direction="TopDown">
					<reportElement
						x="30"
						y="1"
						width="626"
						height="0"
						forecolor="#CCCCCC"
						key="line-1"/>
					<graphicElement stretchType="NoStretch"/>
				</line>
			</band>
			</groupFooter>
		</group>
		<background>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageHeader>
		<columnHeader>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnHeader>
		<detail>
			<band height="14"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="359"
						y="1"
						width="298"
						height="12"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Middle" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[($F{TCD_CODE}==null ? "Pas de limitation sur les types de crédit" : "Limitation sur le type de crédit " + $F{TCD_CODE} + " - " + $F{TCD_ABREGE} +" : < "+new DecimalFormat("# ##0.00").format($F{OST_MAX_MONTANT_TTC}))]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="31"
						y="1"
						width="229"
						height="12"
						key="textField-1"
						isPrintRepeatedValues="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement textAlignment="Left" verticalAlignment="Middle">
						<font pdfFontName="Helvetica-Bold" size="8" isBold="true"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{NOM_USUEL} +  " " + $F{PRENOM} + " (" + $F{TYSI_LIBELLE}  + ")"]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						x="263"
						y="1"
						width="93"
						height="12"
						key="textField-2"
						isPrintRepeatedValues="false">
							<printWhenExpression><![CDATA[new Boolean($F{ORSI_DATE_CLOTURE}!=null || $F{ORSI_DATE_CLOTURE}!=null)]]></printWhenExpression>
						</reportElement>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" bottomBorder="None" bottomBorderColor="#000000"/>
					<textElement verticalAlignment="Middle">
						<font size="8"/>
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[($F{ORSI_DATE_OUVERTURE}!=null ? new SimpleDateFormat("dd/MM/yyyy").format($F{ORSI_DATE_OUVERTURE}):" - ") + " / " +  ($F{ORSI_DATE_CLOTURE}!=null ? new SimpleDateFormat("dd/MM/yyyy").format($F{ORSI_DATE_CLOTURE}):" - ")]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
